Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.engine.gui.model
Class ValueParameter

    java.lang.Object
      uchicago.src.sim.engine.gui.model.DataParameter
          uchicago.src.sim.engine.gui.model.ValueParameter

Deprecated. To be removed in a future release, unused in Repast.

    public class ValueParameter

extends DataParameter

Author:
  wes maciorowski

Field Summary

Fields inherited from class uchicago.src.sim.engine.gui.model.DataParameter
`lineSeparator`

Constructor Summary
`ValueParameter(int runs, java.lang.String name, java.lang.String dataType, boolean input, double start, double end, double increment)` Deprecated.

Method Summary
`double` | `getEnd()` Deprecated.
`double` | `getIncrement()` Deprecated.
`double` | `getStart()` Deprecated.
`void` | `setEnd(double end)` Deprecated.
`void` | `setIncrement(double increment)` Deprecated.
`void` | `setStart(double start)` Deprecated.
`java.lang.String` | `toString()` Deprecated.

Methods inherited from class uchicago.src.sim.engine.gui.model.DataParameter
`getDataType, getIOString, getName, getNestedParameters, getRuns, isInput, setDataType, setInput, setName, setRuns, toXMLCloseString, toXMLOpenString, toXMLString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ValueParameter

    public ValueParameter(int runs,
                          java.lang.String name,
                          java.lang.String dataType,
                          boolean input,
                          double start,
                          double end,
                          double increment)

  Deprecated.
  Parameters:
    `runs` -
    `name` -
    `dataType` -
    `input` -

Method Detail

### setEnd

    public void setEnd(double end)

  Deprecated.
  Parameters:
    `end` - The end to set.

### getEnd

    public double getEnd()

  Deprecated.
  Returns:
    Returns the end.

### setIncrement

    public void setIncrement(double increment)

  Deprecated.
  Parameters:
    `increment` - The increment to set.

### getIncrement

    public double getIncrement()

  Deprecated.
  Returns:
    Returns the increment.

### setStart

    public void setStart(double start)

  Deprecated.
  Parameters:
    `start` - The start to set.

### getStart

    public double getStart()

  Deprecated.
  Returns:
    Returns the start.

### toString

    public java.lang.String toString()

  Deprecated.
  Overrides:
    `toString` in class `DataParameter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD